
Core - Feature # 33749

Task # 33745 (Resolved): Integrate File Abstraction Layer

Status: Resolved Priority: Should have
Author: Oliver Hader Category:
Created: 2012-02-07 Assigned To:
Updated: 2012-03-03 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Integrate File Abstraction Layer API
Description

Integrate File Abstraction Layer API to t3lib_File.
New domain objects are:
    -  t3lib_file_File
    -  t3lib_file_Folder
    -  t3lib_file_ProcessedFile
    -  t3lib_file_Storage
    -  t3lib_file_Driver_AbstractDriver

One storage uses a driver to connect to a specific resource. The storage then holds several files, the filenames are called "identifier"
there. A processed file will be created on manipulations to a file (by keeping the reference), examples are image resizing or more
complex conversions/modifications.

Associated revisions
Revision 38430a95 - 2012-03-02 17:05 - TYPO3 Release Team

[FEATURE] Integrate File Abstraction Layer API

Change-Id: Id0d5071aed6c9a03b75069bb9ba970ccfa5ca525
Resolves: #33749
Releases: 4.7
Reviewed-on: http://review.typo3.org/9208
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2012-02-07 22:31 - Oliver Hader
- Tracker changed from Bug to Feature

#2 - 2012-02-25 22:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9208

#3 - 2012-02-25 23:17 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9208

#4 - 2012-02-26 15:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9208

#5 - 2012-03-03 02:30 - TYPO3 Release Team
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:38430a959845c2b80d2cefee23f4d8f3f376657c.
